LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08961Bug reports[All Projects] Tokenspublic2014-04-14 11:312014-09-27 14:32
Reporterfradeff 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target VersionFixed in Version2.05+ 
Summary08961: importing tokens: 2 "new" fields "Email status" and "Language" not filled causes bug on send email invitations
Description2 users report me the same bug this morning, it seems to happend with the last update Version 2.05+ Build 140404 I've made last Monday when importing tokens

for both users, the problem is new (they used to do exactly the same before previous week without any bug)
Steps To Reproducewhen importing tokens from a csv list with required fields firstname, lastname, email

2 fields are displayed and blank:
  "Email status" and "Language"

If I try to send the email invitations, limesurvey returns

"Warning
There were no eligible emails to send. This will be because none satisfied the criteria of:
 
    having a valid email address
    not having been sent an invitation already
    having already completed the survey
    having a token"

My solution: edit csv before importing, put "ok" in field "Email status" and "en" (or fr when needed) in field "Language", import in limesurvey and it works
Additional Informationthank you!
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit IDVersion 2.05+ Build 140404
BrowserFirefox 28.0
Database & DB-Versionmysql 5.5.34
Operating System (Server)SunOS silene5 5.11 11.1 i86pc i386 i86pc
Webserver software & versionApache 20120211
PHP VersionPHP Version 5.5.11
Attached Filespng file icon lime_bug_import_tokens.png [^] (71,356 bytes) 2014-04-14 11:31


png file icon Capture du 2014-04-16 08:37:33.png [^] (64,835 bytes) 2014-04-16 08:37


png file icon Capture du 2014-04-16 08:37:48.png [^] (17,746 bytes) 2014-04-16 08:38


csv file icon test.csv [^] (49 bytes) 2014-04-16 10:03

- Relationships
related to 09261closedDenisChenu emailstatus and language not filled by default when using remotecontrol invite_participants 
child of 08899closedDenisChenu When importing token data from CSV file the invitation date is ignored 

-  Notes
User avatar (29763)
c_schmitz (administrator)
2014-04-14 23:02

2.05+ Build 140414 released
User avatar (29810)
fradeff (reporter)
2014-04-16 08:36

sorry, I've just tested with version Version 2.05+ Build 140414 and the bug is still there, event with the fix, so I re-open the issue
User avatar (29811)
DenisChenu (developer)
2014-04-16 09:42

Can you put the csv file here please.
User avatar (29812)
fradeff (reporter)
2014-04-16 10:03

done... as you will see, very simple csv!
User avatar (29813)
DenisChenu (developer)
2014-04-16 10:11

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=14163 [^]
User avatar (29855)
c_schmitz (administrator)
2014-04-22 21:28

2.05+ Build 140422 released.

- Related Changesets
LimeSurvey: master e5909438
Timestamp: 2014-04-05 15:25:28
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Dev: fixed issue : mailstatus is not set to OK if empty, same for language
Dev: usesleft not needed : already in SQL default
mod - application/controllers/admin/tokens.php Diff ] File ]
LimeSurvey: master b637a9aa
Timestamp: 2014-04-16 08:11:17
Author: DenisChenu
Committer: Denis Chenu
Details ] Diff ]
Dev: refix 08961 : empty mailstatus and language are not set to default
Dev: Do it when it's needed not after .... (I'm silly)
mod - application/controllers/admin/tokens.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-14 11:31 fradeff New Issue
2014-04-14 11:31 fradeff File Added: lime_bug_import_tokens.png
2014-04-14 15:18 DenisChenu Changeset attached => LimeSurvey master e5909438
2014-04-14 15:19 DenisChenu Status new => resolved
2014-04-14 15:19 DenisChenu Fixed in Version => 2.05+
2014-04-14 15:19 DenisChenu Resolution open => fixed
2014-04-14 15:19 DenisChenu Assigned To => DenisChenu
2014-04-14 23:02 c_schmitz Note Added: 29763
2014-04-14 23:02 c_schmitz Status resolved => closed
2014-04-16 08:36 fradeff Note Added: 29810
2014-04-16 08:36 fradeff Status closed => feedback
2014-04-16 08:36 fradeff Resolution fixed => reopened
2014-04-16 08:37 fradeff File Added: Capture du 2014-04-16 08:37:33.png
2014-04-16 08:38 fradeff File Added: Capture du 2014-04-16 08:37:48.png
2014-04-16 09:42 DenisChenu Note Added: 29811
2014-04-16 10:03 fradeff File Added: test.csv
2014-04-16 10:03 fradeff Note Added: 29812
2014-04-16 10:03 fradeff Status feedback => assigned
2014-04-16 10:11 DenisChenu Changeset attached => LimeSurvey master b637a9aa
2014-04-16 10:11 DenisChenu Note Added: 29813
2014-04-16 10:11 DenisChenu Status assigned => resolved
2014-04-16 10:11 DenisChenu Resolution reopened => fixed
2014-04-17 09:29 DenisChenu Relationship added child of 08899
2014-04-22 21:28 c_schmitz Note Added: 29855
2014-04-22 21:28 c_schmitz Status resolved => closed
2014-09-27 14:32 DenisChenu Relationship added related to 09261


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker